"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateString = void 0;
const http_errors_1 = require("http-errors");
function validateString(value, name) {
    if (value == null || !value) {
        throw new http_errors_1.BadRequest(`${name} is required`);
    }
    if (typeof value === 'string') {
        return value;
    }
    throw new http_errors_1.BadRequest(`${name} must be string`);
}
exports.validateString = validateString;
