import { Provider, ProviderSearchOptions, ProviderFeature } from '.';
export declare class X1337Provider extends Provider {
    static providerName: "1337x";
    trackers: string[];
    getMeta(): Promise<{
        categories: {
            name: string;
            id: string;
            subcategories: never[];
        }[];
        features: ProviderFeature[];
    }>;
    search(query: string, options?: ProviderSearchOptions): Promise<{
        name: string;
        magnet: string;
        seeds: number;
        peers: number;
        size: string;
        time: number;
        category: {
            id: string;
            name: string;
        };
        link: string;
    }[]>;
}
